Geschützter Bereich

  • Hallo,


    ich versuche einen Geschützten Bereich zu veröffentlichen. Bin so vorgegangen wie beschrieben. Die Voraussetzungen bei den Website-Featers sind auch erfüllt. Ich erhalte nach dem Veröffentlichen aber immer nachfolgende Fehlermeldung:

    Fehler. Das Kennwortschutz-Modul konnte nicht installiert werden: PCLZIP_ERR_DIR_CREATE_FAIL (-8) : Unable to create directory '/srv/user/vswallersdorf.de/www/assets/php/pa/templates'


    Weiß jemand einen Rat? Danke!

    R.Fisch


  • Hallo,


    das liegt an fehlenden Dateiberechtigungen auf dem Webserver. Haben Sie die Möglichkeit die Dateiberechtigungen via FTP zu ändern? Siehe hier: https://www.strato.de/faq/arti…on-Dateien-ein-CHMOD.html. Andernfalls mal den Provider kontaktieren. Das Verzeichnis "/assets/php/" sollte Dateiberechtigung 775 haben. Zumindest muss der Webserver darin Schreibrechte haben und alle anderen Leserechte.

    Freundliche Grüße
    Steffen T. (Zeta Producer-Support)

  • Sehr geehrter Herr Steffen,


    vielen Dank. Ich habe bei den Geschützten Seiten die Dateiberechtigung auf Lesen - Schreiben-Ausführen gesetzt. Der nummerische Wert ist 777.


    Mit freundlichen Grüßen

    R.Fisch

  • Hallo,


    bitte mal die komplette Website veröffentlichen: Website > Veröffentlichen > Komplette Website veröffentlichen


    Danach Browser-Cache und Cookies mal löschen und dann die Seite neu aufrufen.


    Hat das geholfen?

    Freundliche Grüße
    Steffen T. (Zeta Producer-Support)

  • Hallo,


    aktuell ist PHP Version 5.6.1 aktiv. Bitte mal auf Version 7 aktualisieren und dann nochmals testen. Evtl. auch mal den Provider kontaktieren. Es fehlen immer noch Berechtigungen auf dem Webserver.


    Des Weiteren ist mir aufgefallen, dass Ihre Website via HTTPS aufgerufen wird. In der FTP-Konfiguration daher bitte mal die Web-Adresse https://www.vswallersdorf.de eintragen.

    Freundliche Grüße
    Steffen T. (Zeta Producer-Support)

  • Ich vermute folgende Ursache:


    Wenn Sie in der FTP-Software die Zugriffsrechte Ändern sollten Sie auch die Option "Auf enthaltene Objekte anwenden" (oder wie Immer das in Ihrer Software heiß) aktivieren, dass die Zugriffsrechte auch automatisch auf die in asssets/php/ enthaltenen Unterordner angewendet werden, denn das Gästebch muss ja in den Unterordner assets/pgp/pa/ geschrieben werden.